/*
Support routines for the Crypt unit

Written by Frank Heckenbach <frank@pascal.gnu.de>.

Released to the public domain.
*/

/* Solaris, e.g., needs this for crypt() */
#define __EXTENSIONS__

/* Linux/glibc, e.g., needs this for crypt() */
#define _GNU_SOURCE

#include <unistd.h>
#include <pwd.h>

char *_c_crypt (char *Key, char *Salt);
char *_c_crypt (char *Key, char *Salt)
{
  return crypt (Key, Salt);
}

char *_c_getpass (char *Prompt);
char *_c_getpass (char *Prompt)
{
  return getpass (Prompt);
}
